package org.project.location;

import org.project.entity.enemies.Enemy;

import java.util.ArrayList;

public class Location {
    private String name;

    private ArrayList<Enemy> enemies;

    public Location(String name, ArrayList<Enemy> enemies) {
        this.enemies = enemies;
        this.name = name;
    }

    public String getName() {
        return name;
    }
    
    public ArrayList<Enemy> getEnemies() {
        return enemies;
    }

    @Override
    public String toString() {
        String string = "Location: " + name + "| Enemies: " + enemies;
        return string;
    }
}
